#Index


_free
m


Name
r
s

Unique
r
b

Primary
r
b

Fields
r
s

Table
r
Table

#Field


_free
m


Name
r
s

Type
r
i

Length
r
i

Default
r
v

Table
r
Table

#.TableFields
.SubCollection
C
Add
m

(Name)s(Type)i[(Length)i(Default)v]
#.TableIndexes
.SubCollection
C
Add
m

(Name)s(Fields)s[(Unique)b]
Remove
m

(Name)s
#Table


_free
m


Name
r
s

System
r
b

PrimaryKey
p
String[]

Type
p
s

Connection
r
Connection

Update
m


Fields
r
.TableFields

Indexes
r
.TableIndexes

#User


_free
m


Delete
m


Name
r
s

Administrator
r
b

Password
p
s

Connection
r
Connection

#Database


_free
m


Delete
m


Name
r
s

System
r
b

Connection
r
Connection

#.ConnectionUsers
.SubCollection
C
Add
m

(Name)s[(Password)s(Admin)b]
Remove
m

(Name)s
#.ConnectionDatabases
.SubCollection
C
Add
m

(Name)s
Remove
m

(Name)s
#.ConnectionTables
.SubCollection
C
Add
m
Table
(Name)s[(Type)s]
Remove
m

(Name)s
#Connection

C
_new
m


_free
m


Type
p
s

Host
p
s

Login
p
s

Password
p
s

Name
p
s

Port
p
s

Charset
r
s

Version
r
i

Open
m
b

Close
m


Exec
m
Result
(Request)s(Arguments).
Create
m
Result
(Table)s
Find
m
Result
(Table)s[(Request)s(Arguments).]
Edit
m
Result
(Table)s[(Request)s(Arguments).]
Begin
m


Commit
m


Rollback
m


Quote
m
s
(Name)s
Tables
p
.ConnectionTables

Databases
p
.ConnectionDatabases

Users
p
.ConnectionUsers

#DB


Current
P
Connection

Open
M


Close
M


Charset
R
s

Version
R
i

Debug
P
b

Exec
M
Result
(Request)s(Arguments).
Create
M
Result
(Table)s
Find
M
Result
(Table)s[(Request)s(Arguments).]
Edit
M
Result
(Table)s[(Request)s(Arguments).]
Begin
M


Commit
M


Rollback
M


Quote
M
s
(Name)s
Tables
P
.ConnectionTables

Databases
P
.ConnectionDatabases

Users
P
.ConnectionUsers

#ResultField


_free
m


Name
r
s

Type
r
i

Length
r
i

Result
r
Result

#.ResultFields
.SubCollection
C
Count
r
i

_next
m
ResultField

#Result


_free
m


Count
r
i

Length
r
i

Available
r
b

Index
r
i

_get
m
v
(Field)s
_put
m

(Value)v(Field)s
_next
m


MoveFirst
m
b

MoveLast
m
b

MovePrevious
m
b

MoveNext
m
b

MoveTo
m
b
(Index)i
Update
m


Delete
m


Fields
r
.ResultFields

Connection
r
Connection

